---
.gitlab_cluster_job: &gitlab_cluster_job
  image: alpine:3.11
  cache: {}

add-gitlab-cluster:
  <<: *gitlab_cluster_job
  before_script:
    - apk add --update curl bash jq
    - curl -sLO https://storage.googleapis.com/kubernetes-release/release/v1.17.0/bin/linux/amd64/kubectl;
    - chmod +x kubectl;
    - mv kubectl /usr/bin/kubectl
    - mkdir -p ~/.kube && cp -f kubeconfig ~/.kube/config
    - kubectl version
    - kubectl cluster-info
  script:
    - bash bin/add_cluster_to_gitlab.sh

del-gitlab-cluster:
  <<: *gitlab_cluster_job
  before_script:
    - apk add --update curl bash jq
  script:
    - bash bin/del_cluster_from_gitlab.sh
  dependencies: []
